#pragma once
#include <string>
#include <map>

class Config
{
public:
    Config(const std::string &filepath);
    std::string get(const std::string &key) const;

private:
    std::map<std::string, std::string> config_map;
    void load(const std::string &filepath);
};
